package com.loafle.overflow.central.module.infra.service;

import com.loafle.overflow.central.module.infra.dao.InfraHostMachineDAO;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.infra.InfraHostMachine;
import com.loafle.overflow.service.central.infra.InfraHostMachineService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * Created by insanity on 17. 6. 28.
 */
@Service("InfraHostMachineService")
public class CentralInfraHostMachineService implements InfraHostMachineService {
  @Autowired
  InfraHostMachineDAO infraHostMachineDAO;

  public InfraHostMachine regist(InfraHostMachine infraHostMachine) throws OverflowException {
    return this.infraHostMachineDAO.save(infraHostMachine);
  }

  public InfraHostMachine read(Long id) {
    return this.infraHostMachineDAO.findById(id).get();
  }
}
