package com.loafle.overflow.central.module.meta.service;

import com.loafle.overflow.central.module.meta.dao.MetaItemUnitDAO;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.meta.MetaItemUnit;
import com.loafle.overflow.service.central.meta.MetaItemUnitService;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * Created by insanity on 17. 9. 20.
 */

@Service("MetaSensorItemUnitService")
public class CentralMetaItemUnitService implements MetaItemUnitService {

  @Autowired
  MetaItemUnitDAO metaItemUnitDAO;

	@Override
	public MetaItemUnit regist(MetaItemUnit metaItemUnit) throws OverflowException {
		return this.metaItemUnitDAO.save(metaItemUnit);
	}

  @Override
  public MetaItemUnit read(Short ID) throws OverflowException {
    return null;
  }

  @Override
  public MetaItemUnit readByKey(String key) throws OverflowException {
    return this.metaItemUnitDAO.findByKey(key);
  }
}
