package com.loafle.overflow.central.module.meta.service;

import com.loafle.overflow.central.module.meta.dao.MetaProbeStatusDAO;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.meta.MetaProbeStatus;
import com.loafle.overflow.service.central.meta.MetaProbeStatusService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by snoop on 17. 7. 27.
 */
@Service("MetaProbeStatusService")
public class CentralMetaProbeStatusService implements MetaProbeStatusService {

  @Autowired
  private MetaProbeStatusDAO metaProbeStatusDAO;

  @Override
  public MetaProbeStatus regist(MetaProbeStatus metaProbeStatus) throws OverflowException {
    return this.metaProbeStatusDAO.save(metaProbeStatus);
  }

  @Override
  public MetaProbeStatus readByKey(String key) throws OverflowException {
    return this.metaProbeStatusDAO.findByKey(key);
  }

  @Override
  public List<MetaProbeStatus> readAll() throws OverflowException {
    return this.metaProbeStatusDAO.findAll();
  }
}
