package com.loafle.overflow.central.module.meta.service;

import com.loafle.overflow.central.module.meta.dao.MetaCrawlerDAO;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.meta.MetaCrawler;
import com.loafle.overflow.service.central.meta.MetaCrawlerService;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by snoop on 17. 7. 27.
 */
@Service("MetaCrawlerService")
public class CentralMetaCrawlerService implements MetaCrawlerService {

  @Autowired
  private MetaCrawlerDAO metaCrawlerDAO;

  @Override
  public List<MetaCrawler> readAll() throws OverflowException {
    return this.metaCrawlerDAO.findAll();
  }
}
