package com.loafle.overflow.central.module.domain.service;


import com.loafle.overflow.central.spring.AppConfigTest;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.domain.Domain;
import com.loafle.overflow.model.domain.DomainMember;
import com.loafle.overflow.model.member.Member;
import com.loafle.overflow.service.central.domain.DomainMemberService;
import org.junit.Assert;
import org.junit.Ignore;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import java.util.List;


/**
 * Created by snoop on 17. 6. 28.
 */
@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(classes = {AppConfigTest.class})
public class DomainMemberServiceTest {

    @Autowired
    private DomainMemberService domainMemberService;

    @Ignore
    @Test
    public void regist() throws Exception {

        DomainMember domainMember = new DomainMember();

        Domain domain = new Domain();
        domain.setId(Long.valueOf(1));

        Member member = new Member();
        member.setId(Long.valueOf(1));

        domainMember.setDomain(domain);
        domainMember.setMember(member);

        this.domainMemberService.regist(domainMember);

        Assert.assertNotEquals(domainMember.getId().longValue(), 0);

    }

    @Test
    public void readAllMemberByDomain() throws OverflowException {
        List<Member> members = this.domainMemberService.readAllMemberByDomainID(Long.valueOf(1));

        Assert.assertNotEquals(members.size(), 0);

        for(Member member : members) {
            System.out.println(member.getEmail());
        }

    }

}